Page 1 of 2 12 LastLast
Results 1 to 20 of 40

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Buying a NEW iPhone 3GS today...confused!

  1. #1
    Default Buying a NEW iPhone 3GS today...confused!
    Hi,

    So I'm buying a new iPhone today from AT&T (I'm pulling the "cancel after 30 day thing to get the phone cheaper verses paying more for it in the long run on eBay.) Anyways I'm kinda confused about all of this "don't upgrade to 3.1.3" "don't upgrade to 3.1.2", etc...I'm kinda stumped and not sure what I'm suppose to do?

    I'm not sure which firmware will be on the phone when I get it today but basically I want to be able to jailbreak/unlock my phone until there is a fully unlock/jailbreak for the latest firmware version.

    Can anyone tell me which firmware I would need to use if I wanted to be both jailbroken and unlocked? And a link to the jailbreak/unlock procedure for that version would be greatly appreciated! I've searched all over the net this morning but I just keep getting more confused.

    Thanks!

    P.S. Again, it's for the 3GS

  2. #2
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    You want a phone on 3.1.2. Then you go to blackra1n.com and download the program(click the windows icon for windows or the mac icon for macs). Chances are IF you do get 3.1.2 on the 3GS it may have the new bootrom meaning that should your phone shutdown(battery dies) or you power the phone completely off/on then you will have to be near your PC/mac to rerun blackra1n on it for it to boot back up.

  3. #3
    So basically if the phone comes with 3.1.3 on it the only thing I can really do is unlock it, no jailbreaking?

  4. #4
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    No, if you get 3.1.3 you cannot do either. You must get 3.1.2. Then you can run blackra1n on it. You cannot jailbreak 3.1.3 out of the box. Only 3.1.2 which means you would not be able to unlock it either.

  5. #5
    Hmm why does iphoneunlockuk have a unlock for 3.1.3 then? LOL!

    If the phone has 3.1.3 on it, I was told you could not downgrade it to 3.1.2

  6. #6
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    Stay away from them! Trust me. You can only jailbreak 3.1.3 IF you are running an already jailbroken software on your phone. Right now if you get a phone with 3.1.2 or lower you can jailbreak it. Then you can unlock it.

  7. #7
    So if I get a phone with 3.1.3 on it I can't do anything??? Maybe I should post back when I buy the phone to let you know what version I have, now you have me freaking out lol.

  8. #8
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    Don't freak out Just tell them you want a phone with 3.1.2 on it. Period. They should acommodate you. But yes, if you get 3.1.3 you are stuck with a stock phone.

  9. #9
    They would have no way of knowing if it has 3.1.2 on it unless they open the phone up to check and if I didn't, they wouldn't be opening up phone after phone to check. Plus they would know why I want an earlier version lol. AT&T folks aren't stupid!

    But getting back to Jody Sanders...I know people who use their software and they all unlocked at 3.1.3 and are running fine with their unlock. Maybe they have an edge on the dev team?

    I'll post back later this evening when I get home. *NERVOUS*

    P.S. At the maximum I want nothing higher then 3.1.2, correct?

  10. #10
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    Exactly, 3.1.2 is the highest you want. Jody Sanders? You should do some more research on him You can see the serial number of each phone on the bottom of the box of the iPhone. Figure out which week 3.1.3 was released and get one that is before then. The serial numbers are by weeks of production. For example: The first 4 digits of my serial are 88935 which means it was produced in week 35 of '09. I did this about a month ago with a new 3GS and they helped me out...I asked to look at the serials and chose the one I wanted. The serial I picked started with 86002...week 2 of 2010. It had 3.1.2 on it, but it is a tethered jailbreak as described in a previous post of mine.

  11. #11
    Retired Moderator Poseidon79's Avatar
    Join Date
    Jan 2008
    Location
    Austin, TX
    Posts
    8,264
    Thanks
    819
    Thanked 1,681 Times in 1,159 Posts

    Wow... it seems pretty clear after being told throughout the entire thread you don't want 3.1.3. As for Jody.. you really should Google him or get on the Dev Team blog and read ALL about him.

  12. #12
    OK so the 3rd digit in the serial number is the year, numbers 4 and 5 are the week number? So I wouldn't want anything past week 4 of 2010 then according to wikipedia (3.1.3 was released 2/3 of this year.)

    Yeah sorry for all the questions P but I get confused easily. I'm a previous customer of J. S. and never had any problems. OK so he steals the software from the dev team and resells it, I don't really care as long as my phone works.

    Just for the record...http://blog.iphoneunlockuk.com/firmw...available.html it does unlock 3.1.3 I've been a customer of this guys for long enough to know he doesn't post lies on his site (as far as what works and what doesn't.) I understand why people hate him and all, but in the end all I care about is my phone working. Whoever gets the job done is not a concern to me.
    Last edited by Dayvidpriddy; 2010-03-19 at 05:23 PM.

  13. #13
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    Ok, 3.1.3 can be jailbroken and unlocked IF your phone is jailbroken already. This is true. But, if you purchase a phone right now that has a stock 3.1.3 firmware even Jody Sanders cannot help you no matter what he says on his site. The 3.1.3 jailbreak hasn't been released yet and Jody cannot code it himself. So yes, get a serial number the is prior to 3.1.3 and do not let them update it instore.

  14. #14
    According to him the phone can be unlocked regardless if it's already jailbroken or not. I'm not really concerened with jailbreaking (most of those apps don't work anyways and are never updated) all I'm concnered with is unlocking the phone.

    But you say to get 3.1.2, but then you say even if I do it could still have the new bootrom which requires me to be at my computer everytime I want to reboot the phone. So either way there seems to be issues.

    Copied from J. S. website...

    What iPhones can you unlock?
    We can unlock any iPhone, from the first generation, the iPhone 3G and the new iPhone 3GS, using pure software, right up to the very latest firmware (currently 3.1.3). Our unique unlock supports ALL bootloaders and basebands.

    Can you unlock the iPhone 3GS running the latest baseband 05.11.07 and 05.12.01?
    Absolutely using just software.

    So you are saying he's lying? LOL
    Last edited by Dayvidpriddy; 2010-03-19 at 05:42 PM.

  15. #15
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    Well you cannot unlock without being jailbroken unless it is done by a service provider and a tethered jailbreak sure beats no jailbreak in my book. I have both...the new and old bootrom. The new bootrom phone is my guinea pig. I am opening up some options that aren't stock in AT&T phones so I use it to test with. Jody cannot unlock your phone if it isn't jailbroken. He provides a service for people that are not computer savvy, but relies on other peoples software to do it which is distributed for free by the dev teams. You cannot unlock the 3.1.3 baseband period. You have to get 3.1.2 for the unlock.

  16. #16
    OK well I'm not trying to argue with you guys but he even says that new batches of phones are coming out with 3.1.3 on it and people were not able to unlock their phones. That is why they created the "early bird" thingy where if you pay extra it will also unlock the device.

  17. #17
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    You do not need him. All you need is 3.1.2 and blackra1n. It is super simple. One click and you are jailbroken. Then two clicks in the blackra1n icon on your phone and you are unlocked. That is how he makes his money which is fine by me.

  18. #18
    Yeah but you said if I get 3.1.2 with the new bootrom that it would still cause my problems (having to be at my computer everytime I want to reboot the phone,etc.) I don't see how this helps me.

  19. #19
    Livin the iPhone Life CaptainChaos's Avatar
    Join Date
    Sep 2008
    Location
    In a van down by the river
    Posts
    4,824
    Thanks
    553
    Thanked 515 Times in 427 Posts

    Read the first paragraph on this page: Dev-Team Blog
    These are the folks providing the softwares he uses. Without them he has no buisness.

    As far as the tethered jailbreak goes the only way around it now is to buy one from craigslist or ebay etc to avoid it. The only times I have had to be near my computer on my tethered phone is while experimenting. I have never had to reboot for any other reason so it is really not that bad

  20. #20
    Yeah I have read all that. OK I'll try to get 3.1.2 but I'm just afraid the store is going to give me a hard time and question me as to why I want that version, etc. Also if they don't have any phones built before the release of 3.1.3 then I'm screwed and can't do nothing!

Page 1 of 2 12 LastLast
Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •